extends PathFollow2D
# a moving music player

signal note_changed(new_note: Music.Note)

const SPEED = 200
const RAYON = 20

@export var note: Music.Note = Music.Note.A


func _ready():
	emit_signal("note_changed", note)


func _physics_process(delta):
	progress += SPEED * delta

func _draw():
	draw_circle(Vector2.ZERO, RAYON, Color.WHITE)
