class_name Music
# To deal with music theory in the digital world

enum Note {A = 1, Ad, B, C, Cd, D, Dd, E, F, Fd, G, Gd}

const NOTE_PITCH_SCALE = 1.05942



static func scale(note: Note) -> float:
	return note * NOTE_PITCH_SCALE

